org.eclipse.net4j.util.om.monitor

## Interface OMMonitorProgress

- All Known Subinterfaces:
    OMMonitor
  All Known Implementing Classes:
    AbstractMonitor, DelegatingMonitor, EclipseMonitor, Monitor, NestedMonitor, NotifyingMonitor, NotifyingMonitor.ProgressEvent, TimeoutMonitor

      public interface OMMonitorProgress

  Since:
    3.1
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static double` | `HUNDRED`
    `static double` | `ONE`
    `static double` | `TEN`
    `static double` | `ZERO`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getTotalWork()`
    `double` | `getWork()`
    `double` | `getWorkPercent()`

- - ### Field Detail

    - #### ZERO

          static final double ZERO

      See Also:
        Constant Field Values

    - #### ONE

          static final double ONE

      See Also:
        Constant Field Values

    - #### TEN

          static final double TEN

      See Also:
        Constant Field Values

    - #### HUNDRED

          static final double HUNDRED

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getTotalWork

          double getTotalWork()

    - #### getWork

          double getWork()

    - #### getWorkPercent

          double getWorkPercent()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html